package com.wms_main.constant.enums.wms;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 应用配置key枚举
 */
@Getter
@AllArgsConstructor
public enum AppConfigKeyEnums {
    WCS_STACKER_TASK_URL("WcsStackerTaskUrl", "发送堆垛机任务地址"),
    WCS_PICK_TASK_URL("WcsPickTaskUrl", "发送拣选任务地址"),
    WCS_CANCEL_PICK_TASK_URL("WcsCancelPickTaskUrl", "发送取消拣选任务地址"),
    WCS_RELEASE_BOX_URL("WcsReleaseBoxUrl", "发送释放站台箱子地址"),
    STAND_CAPACITY("StandCapacity", "站台容量"),
    IMAGE_IP("ImageIp", "图片存放ip"),
    EMPTY_BACK("EmptyBack", "空载具是否回库"),
    STOCK_WARNING_QTY("StockWarningQty", "库存预警数量"),
    MES_GET_GOODS_URL("MesGetGoodsUrl", "获取物料信息地址");
    private final String key;
    private final String desc;
}
